import { z } from 'zod';

export const AddBookingSchema = z.object({
  cardCode: z.string().describe('Unique card code identifier'),
  booking: z
    .object({
      points: z.number().describe('Booking points'),
      reason: z.string().optional().describe('Booking Reason'),
      storeId: z
        .string()
        .optional()
        .describe('Booking store (convercus store id)'),
    })
    .describe('Booking details'),
});

export type AddBooking = z.infer<typeof AddBookingSchema>;
export type AddBookingInput = z.input<typeof AddBookingSchema>;
